"""Rename tables, columns to be more descriptive

Revision ID: 2da14bfaeaa1
Revises: 954ded90cc97
Create Date: 2022-05-05 02:36:43.563735

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '2da14bfaeaa1'
down_revision = '954ded90cc97'
branch_labels = None
depends_on = None


def upgrade():
    op.rename_table(u"time_budget", u"time_budgets")

    op.drop_constraint(u"FK_time-budget_users", "time_budgets", type_="foreignkey")
    op.alter_column(
        u"users",
        u"id",
        new_column_name=u"user_id",
        existing_type=sa.Integer,
        existing_nullable=False)
    op.create_foreign_key(
        u"FK__time_budgets__users",
        u"time_budgets",
        u"users",
        [u"user_id"],
        [u"user_id"],
        onupdate="CASCADE",
        ondelete="RESTRICT")

    op.alter_column(
        u"time_budgets",
        u"time_budget_s",
        new_column_name=u"time_budget",
        existing_type=sa.Integer,
        existing_nullable=False,
        existing_server_default=u"0")
    op.alter_column(
        u"time_budgets",
        u"id",
        new_column_name=u"budget_id",
        existing_type=sa.Integer,
        existing_nullable=False,
        existing_server_default=u"0")

    op.alter_column(
        u"kodi_instances",
        u"id",
        new_column_name=u"instance_id",
        existing_type=sa.Integer,
        existing_nullable=False)


def downgrade():
    op.alter_column(
        u"kodi_instances",
        u"instance_id",
        new_column_name=u"id",
        existing_type=sa.Integer,
        existing_nullable=False)

    op.alter_column(
        u"time_budgets",
        u"budget_id",
        new_column_name=u"id",
        existing_type=sa.Integer,
        existing_nullable=False,
        existing_server_default=u"0")
    op.alter_column(
        u"time_budgets",
        u"time_budget",
        new_column_name=u"time_budget_s",
        existing_type=sa.Integer,
        existing_nullable=False,
        existing_server_default=u"0")

    op.drop_constraint(u"FK__time_budgets__users", "time_budgets", type_="foreignkey")
    op.alter_column(
        u"users",
        u"user_id",
        new_column_name=u"id",
        existing_type=sa.Integer,
        existing_nullable=False)
    op.create_foreign_key(
        u"FK_time-budget_users",
        u"time_budgets",
        u"users",
        [u"user_id"],
        [u"id"],
        onupdate="CASCADE",
        ondelete="RESTRICT")

    op.rename_table(u"time_budgets", u"time_budget")
