"""Add Kodi instances table

Revision ID: 68d8f4d96043
Revises: 
Create Date: 2022-05-04 01:35:12.791868

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '68d8f4d96043'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        u"kodi-instances",
        sa.Column(u"id", sa.Integer, primary_key=True),
        sa.Column(u"webserver-proto", sa.String(10), nullable=False, server_default=u"ws"),
        sa.Column(u"webserver-addr", sa.String(40), nullable=False, server_default=u"localhost"),
        sa.Column(u"webserver-port", sa.Integer, nullable=False, server_default=u"8080"),
        sa.Column(u"webserver-jsonrpcpath", sa.String(10), nullable=False, server_default=u"/jsonrpc"),
        sa.Column(u"webserver-username", sa.String(48)),
        sa.Column(u"webserver-password", sa.String(48)),
        mysql_charset="utf8",
        mysql_collate="utf8_unicode_ci"
    )


def downgrade():
    op.drop_table(u"kodi-instances")
