"""Replace dashes in column, table names with underscores

Revision ID: 954ded90cc97
Revises: 64bc9837edef
Create Date: 2022-05-05 01:43:15.068725

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '954ded90cc97'
down_revision = '64bc9837edef'
branch_labels = None
depends_on = None


def upgrade():
    op.rename_table(u"kodi-instances", u"kodi_instances")
    op.rename_table(u"time-budget", u"time_budget")

    op.alter_column(
        u"kodi_instances",
        u"webserver-proto",
        new_column_name=u"webserver_proto",
        existing_type=sa.String(10),
        existing_nullable=False,
        existing_server_default=u"ws")
    op.alter_column(
        u"kodi_instances",
        u"webserver-addr",
        new_column_name=u"webserver_addr",
        existing_type=sa.String(40),
        existing_nullable=False,
        existing_server_default=u"localhost")
    op.alter_column(
        u"kodi_instances",
        u"webserver-port",
        new_column_name=u"webserver_port",
        existing_type=sa.Integer,
        existing_nullable=False,
        existing_server_default=u"8080")
    op.alter_column(
        u"kodi_instances",
        u"webserver-jsonrpcpath",
        new_column_name=u"webserver_jsonrpcpath",
        existing_type=sa.String(10),
        existing_nullable=False,
        existing_server_default=u"/jsonrpc")
    op.alter_column(
        u"kodi_instances",
        u"webserver-username",
        new_column_name=u"webserver_username",
        existing_type=sa.String(48),
        existing_nullable=True)
    op.alter_column(
        u"kodi_instances",
        u"webserver-password",
        new_column_name=u"webserver_password",
        existing_type=sa.String(48),
        existing_nullable=True)

    op.alter_column(
        u"time_budget",
        u"user-id",
        new_column_name=u"user_id",
        existing_type=sa.Integer,
        existing_nullable=False)
    op.alter_column(
        u"time_budget",
        u"time-budget-s",
        new_column_name=u"time_budget_s",
        existing_type=sa.Integer,
        existing_nullable=False,
        existing_server_default=u"0")


def downgrade():
    op.alter_column(
        u"time_budget",
        u"user_id",
        new_column_name=u"user-id",
        existing_type=sa.Integer,
        existing_nullable=False)
    op.alter_column(
        u"time_budget",
        u"time_budget_s",
        new_column_name=u"time-budget-s",
        existing_type=sa.Integer,
        existing_nullable=False,
        existing_server_default=u"0")
    op.alter_column(
        u"kodi_instances",
        u"webserver_proto",
        new_column_name=u"webserver-proto",
        existing_type=sa.String(10),
        existing_nullable=False,
        existing_server_default=u"ws")
    op.alter_column(
        u"kodi_instances",
        u"webserver_addr",
        new_column_name=u"webserver-addr",
        existing_type=sa.String(40),
        existing_nullable=False,
        existing_server_default=u"localhost")
    op.alter_column(
        u"kodi_instances",
        u"webserver_port",
        new_column_name=u"webserver-port",
        existing_type=sa.Integer,
        existing_nullable=False,
        existing_server_default=u"8080")
    op.alter_column(
        u"kodi_instances",
        u"webserver_jsonrpcpath",
        new_column_name=u"webserver-jsonrpcpath",
        existing_type=sa.String(10),
        existing_nullable=False,
        existing_server_default=u"/jsonrpc")

    op.alter_column(
        u"kodi_instances",
        u"webserver_username",
        new_column_name=u"webserver-username",
        existing_type=sa.String(48),
        existing_nullable=True)
    op.alter_column(
        u"kodi_instances",
        u"webserver_password",
        new_column_name=u"webserver-password",
        existing_type=sa.String(48),
        existing_nullable=True)

    op.rename_table(u"time_budget", u"time-budget")
    op.rename_table(u"kodi_instances", u"kodi-instances")
